Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class HMCPropagationParam

[frames] | no frames]

# Class HMCPropagationParam

source code

                  object --+
                           |
                     MDParam --+
                               |
                  object --+   |
                           |   |
    AbstractPropagationParam --+
                               |
                              HMCPropagationParam

Holds all required information for propagating a system by HMC. The system temperature is taken from the HMCPropagation.sys.hamiltonian.temperature property.

Instance Methods

__init__(self, timestep, traj_length, gradient, iterations=1, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>, mass_matrix=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| iterations
Inherited from `MDParam`: `gradient`, `integrator`, `mass_matrix`, `temperature`, `timestep`, `traj_length` Inherited from `object`: `__class__`

Method Details

### __init__(self, timestep, traj_length, gradient, iterations=1, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>, mass_matrix=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `timestep` (float) - integration timestep
  - `traj_length` (int) - MD trajectory length
  - `gradient` (callable) - gradient governing the equations of motion, function of position array and time
  - `iterations` (int) - number of HMC iterations to be performed
  - `integrator` (l{AbstractIntegrator}) - Integration scheme to be utilized
  - `mass_matrix` (InvertibleMatrix) - mass matrix for kinetic energy definition
Overrides: object.__init__
  (inherited documentation)

Property Details

### iterations

Get Method:
  unreachable.iterations(self)
Set Method:
  unreachable.iterations(self, value)